> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/accommodation/add-or-update-rateplan-bookingrules.md).

# Add or Update Rate Plan Booking Rules

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=addOrUpdateRatePlanBookingRulesCollection`

Add or Update the booking rules of venue rate plans

#### Request Body

| Name    | Type    | Description                                                        |
| ------- | ------- | ------------------------------------------------------------------ |
| venueId | integer | The unique id of the venue to which the rate plan belongs          |
| items   | array   | The array of items. See Item table below for individual item data. |

{% tabs %}
{% tab title="200 " %}

```
{
  "success": true
}
```

{% endtab %}
{% endtabs %}

NOTE: The dynamic data is only available to venues that integrate with a distribution channel.

### Examples

#### Setting the rate plan booking rules for a single date

**REQUEST**

```javascript
{
    "venueId": 1,
    "items": [
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-01",
            "roomId": 2,
            "barId": 1,
            "closeOutStatus": 1
        }
    ]
}
```

#### Setting the rate plan booking rules for a date range

**REQUEST**

```javascript
{
    "venueId": 1,
    "items": [
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 2,
            "barId": 1,
            "closeOutStatus": 1
        },
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 2,
            "barId": 147,
            "closeOutStatus": 1
        },
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 3,
            "barId": 1,
            "closeOutStatus": 1
        },
        {
            "startDate": "2020-05-01",
            "endDate": "2020-05-10",
            "roomId": 3,
            "barId": 147,
            "closeOutStatus": 1
        }
    ]
}
```

### Returns

| Property | Description                                             | Type    |
| -------- | ------------------------------------------------------- | ------- |
| success  | Whether or not the rate plan booking rules were updated | boolean |

### Close Out Status

The following close out status values are supported by the current booking rules.

| Value | Description                     |
| ----- | ------------------------------- |
| 1     | The room is open for bookings   |
| 2     | The room is closed for bookings |

### Item Details

| Property       | Type    | Required | Description                                                                              |
| -------------- | ------- | -------- | ---------------------------------------------------------------------------------------- |
| barId          | integer | required | The unique id of the rate plan to which the booking rule applies                         |
| roomId         | integer | required | The unique id of the room to which the booking rule applies                              |
| startDate      | date    | required | The start date from which the booking rule will apply (Date Format)                      |
| endDate        | date    | required | The end date until which the booking rule will apply (Date Format)                       |
| closeOutStatus | integer | required | The close out status of the booking rule from startDate to endDate. 1 = Open, 2 = Closed |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/venues/accommodation/add-or-update-rateplan-bookingrules.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
